<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block head_js %}
    <script type="text/javascript" src="{% static 'ominicontacto/JS/campanas/campana_entrante/campana_list.js' %}"></script>
{% endblock %}

{% block content %}
<h1>{% trans 'Campañas entrantes' %}</h1>

<div>
    <form id="form_estados_campanas" role="form" method="post">
        {% csrf_token %}
        <input type="hidden" id="campana_id" name="campana_id">
    <h2>{% trans 'Campañas Activas' %}</h2>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        {% for campana in activas %}
            <tr>
                <td width="25%">
                    <a href="{% url 'campana_update' campana.pk %}">{{ campana.nombre }}</a>
                </td>
                <td>
                    {{ campana.bd_contacto }}
                </td>
                <td> {{campana.get_estado_display}}  </td>
                <td width="14%">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownCampaignActive{{campana.pk}}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownCampaignActive{{campana.pk}}">
                            <a class="dropdown-item" href="{% url 'queue_member_campana' campana.pk %}">
                                <span class="icon icon-plus"></span>{% trans 'Agregar agentes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_supervisors' campana.pk %}">
                                <span class="icon icon-eye"></span>{% trans 'Dar permiso para ver' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_calificacion' campana.pk %}">
                                <span class="icon icon-list"></span>{% trans 'Calificaciones' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'reporte_de_resultados' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Resultados de Base' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_reporte_grafico' campana.pk %}">
                                <span class="icon icon-graph"></span>{% trans 'Reportes' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'campana_elimina' campana.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="4">{% trans 'No existen campañas' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <br>
    <h2>{% trans 'Campañas Eliminadas' %}</h2>
    <a href="#ocultas" class="btn btn-light btn-sm" onclick="mostrar_campanas_ocultas();" >
        {% trans 'Mostrar ocultas' %}
    </a>
    <hr>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Nombre' %}</th>
                <th>{% trans 'Base de datos' %}</th>
                <th>{% trans 'Estado' %}</th>
                <th>{% trans 'Acciones' %}&nbsp;&nbsp;</th>
            </tr>
        </thead>
        <tbody id="t_body_borradas">
        {% include 'campanas/campana_entrante/campanas_borradas.html' %}
        </tbody>
    </table>
    </form>
</div>

 <div class="modal fade" id="myMapModal">
        <div class="modal-dialog" id="modal_ventana">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 id="address" class="modal-title"></h1>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <div class="row">
                            <div id="map-canvas" class=""></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">{% trans 'Cerrar' %}</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
<style type="text/css">
    p {
        margin: 4px 10px 10px;
    }
</style>

{% endblock %}
